org.eclipse.ui

## Interface IWorkbenchPreferenceConstants

    public interface IWorkbenchPreferenceConstants

Preference ids exposed by the Eclipse Platform User Interface. These preference settings can be obtained from the UI plug-in's preference store.

Note:This interface should not be implemented or extended.

See Also:
  `PlatformUI.PLUGIN_ID`, `PlatformUI.getPreferenceStore()`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `ALTERNATE_OPEN_NEW_PERSPECTIVE` Deprecated. Workbench no longer supports alternate key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
`static String` `BOTTOM` Constant to be used when referring to the bottom of the workbench window.
`static String` `CLOSE_EDITORS_ON_EXIT` A preference value indicating whether editors should be closed before saving the workbench state when exiting.
`static String` `CURRENT_THEME_ID` Workbench preference for the current theme.
`static String` `DEFAULT_PERSPECTIVE_ID` A named preference indicating the default workbench perspective.
`static String` `DISABLE_NEW_FAST_VIEW` A named preference for disabling opening a new fast view from the fast view bar controls ("Show View as a fast view" button or "New Fast View" submenu).
`static String` `DISABLE_OPEN_EDITOR_IN_PLACE` Workbench preference id for whether the workbench may open editors in-place.
`static String` `DOCK_PERSPECTIVE_BAR` A named preference indicating where the perspective bar should be docked.
`static String` `DYNAMIC_HELP_ACTION_TEXT` A named preference for the text of the Dynamic Help action.
`static String` `EDITOR_MINIMUM_CHARACTERS` Workbench preference identifier for the minimum width of editor tabs.
`static String` `EDITOR_TAB_POSITION` An named preference for whether or not tabs are on the top or bottom for editors.
`static String` `ENABLE_32_STICKY_CLOSE_BEHAVIOR` A named preference for enabling the 3.2 behavior for closing sticky views.
`static String` `ENABLE_ANIMATIONS` A named preference for enabling animations when a layout transition occurs The default value for this preference is: `true` (show animations when a transition occurs)
`static String` `ENABLE_DETACHED_VIEWS` Stores whether or not views may be detached.
`static String` `ENABLE_NEW_MIN_MAX` A named preference for providing the 3.3 presentation's min/max behaviour The default value for this preference is: `false`; use the 3.2 behaviour.
`static String` `HELP_CONTENTS_ACTION_TEXT` A named preference for the text of the Help Contents action.
`static String` `HELP_SEARCH_ACTION_TEXT` A named preference for the text of the Help Search action.
`static String` `INITIAL_FAST_VIEW_BAR_LOCATION` A named preference indicating where the fast view bar should be docked in a fresh workspace.
`static String` `KEY_CONFIGURATION_ID` Workbench preference id for the key configuration identifier to be treated as the default.
`static String` `LEFT` Constant to be used when referring to the left side of the workbench window.
`static String` `LINK_NAVIGATOR_TO_EDITOR` A named preference for whether to show an editor when its input file is selected in the Navigator (and vice versa).
`static String` `LOCK_TRIM` Allows locking the trim to prevent user dragging on startup.
`static String` `NO_NEW_PERSPECTIVE` A preference value indicating that an action should not open a new perspective.
`static String` `OPEN_NEW_PERSPECTIVE` A named preference for how a new perspective is opened.
`static String` `OPEN_PERSPECTIVE_PAGE` Deprecated. Opening a Perspective in a new page is no longer supported functionality as of 2.0.
`static String` `OPEN_PERSPECTIVE_REPLACE` A preference value indicating that an action should open a new perspective by replacing the current perspective.
`static String` `OPEN_PERSPECTIVE_WINDOW` A preference value indicating that an action should open a new perspective in a new window.
`static String` `PERSPECTIVE_BAR_EXTRAS` Lists the extra perspectives to show in the perspective bar.
`static String` `PERSPECTIVE_BAR_SIZE` A preference indication the initial size of the perspective bar.
`static String` `PROJECT_OPEN_NEW_PERSPECTIVE` Deprecated. in 3.0. This preference is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.Preferences.PROJECT_OPEN_NEW_PERSPECTIVE` instead.
`static String` `PROMPT_WHEN_SAVEABLE_STILL_OPEN` Stores whether or not the workbench prompts for saving when a dirty editor or view is closed, but the Saveable objects are still open in other parts.
`static String` `RECENTLY_USED_WORKINGSETS_SIZE` Workbench preference id for indicating the size of the list of most recently used working sets.
`static String` `RIGHT` Constant to be used when referring to the right side of the workbench window.
`static String` `SHIFT_OPEN_NEW_PERSPECTIVE` Deprecated. Workbench no longer supports shift key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
`static String` `SHOW_FILTERED_TEXTS` Stores whether or not to show the text widget that allows type-ahead search in the case where a FilteredTree is used to display and filter tree items.
`static String` `SHOW_INTRO` A named preference indicating whether the workbench should show the introduction component (if available) on startup.
`static String` `SHOW_MEMORY_MONITOR` Stores whether or not to show the memory monitor in the workbench window.
`static String` `SHOW_MULTIPLE_EDITOR_TABS` Workbench preference id for whether the workbench should show multiple editor tabs.
`static String` `SHOW_OPEN_ON_PERSPECTIVE_BAR` A named preference for whether the workbench should show the "open perspective" button on the perspective bar.
`static String` `SHOW_OTHER_IN_PERSPECTIVE_MENU` A named preference for whether the workbench should show the "Other..."
`static String` `SHOW_PROGRESS_ON_STARTUP` Stores whether or not to show progress while starting the workbench.
`static String` `SHOW_SYSTEM_JOBS` Stores whether or not system jobs are being shown.
`static String` `SHOW_TEXT_ON_PERSPECTIVE_BAR` A named preference for whether the workbench should show text on the perspective bar.
`static String` `SHOW_TRADITIONAL_STYLE_TABS` A named preference for whether the workbench should show traditional style tabs in editors and views.
`static String` `TOP_LEFT` Constant to be used when referring to the top left of the workbench window.
`static String` `TOP_RIGHT` Constant to be used when referring to the top right of the workbench window.
`static String` `USE_COLORED_LABELS` A named preference that view implementors can used to determine whether or not they should utilize colored labels.
`static String` `USE_WINDOW_WORKING_SET_BY_DEFAULT` Stores whether or not to use the window working set as the default working set for newly created views (without previously stored state).
`static String` `VIEW_MINIMUM_CHARACTERS` Workbench preference identifier for the minimum width of view tabs.
`static String` `VIEW_TAB_POSITION` An named preference for whether or not tabs are on the top or bottom for views.

### Field Detail

#### LINK_NAVIGATOR_TO_EDITOR

    static final String LINK_NAVIGATOR_TO_EDITOR

A named preference for whether to show an editor when its input file is selected in the Navigator (and vice versa).

Value is of type `boolean`.

See Also:
  Constant Field Values

#### OPEN_NEW_PERSPECTIVE

    static final String OPEN_NEW_PERSPECTIVE

A named preference for how a new perspective is opened.

Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

See Also:
  `OPEN_PERSPECTIVE_WINDOW`, `OPEN_PERSPECTIVE_PAGE`, `OPEN_PERSPECTIVE_REPLACE`, `NO_NEW_PERSPECTIVE`, Constant Field Values

#### ALTERNATE_OPEN_NEW_PERSPECTIVE

    @Deprecated
    static final String ALTERNATE_OPEN_NEW_PERSPECTIVE

Deprecated. Workbench no longer supports alternate key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
A named preference for how a new perspective is opened when the alternate key modifiers are pressed. The alternate key modifiers are platform dependent.

Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

See Also:
  Constant Field Values

#### SHIFT_OPEN_NEW_PERSPECTIVE

    @Deprecated
    static final String SHIFT_OPEN_NEW_PERSPECTIVE

Deprecated. Workbench no longer supports shift key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
A named preference for how a new perspective is opened when the shift key modifier is pressed.

Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

See Also:
  Constant Field Values

#### PROJECT_OPEN_NEW_PERSPECTIVE

    @Deprecated
    static final String PROJECT_OPEN_NEW_PERSPECTIVE

Deprecated. in 3.0. This preference is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.Preferences.PROJECT_OPEN_NEW_PERSPECTIVE` instead.
A named preference for how a new perspective should be opened when a new project is created.

Value is of type `String`. The possible values are defined by the constants `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE, OPEN_PERSPECTIVE_REPLACE, and NO_NEW_PERSPECTIVE`.

See Also:
  `OPEN_PERSPECTIVE_WINDOW`, `OPEN_PERSPECTIVE_PAGE`, `OPEN_PERSPECTIVE_REPLACE`, `NO_NEW_PERSPECTIVE`, Constant Field Values

#### OPEN_PERSPECTIVE_WINDOW

    static final String OPEN_PERSPECTIVE_WINDOW

A preference value indicating that an action should open a new perspective in a new window.

See Also:
  `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

#### OPEN_PERSPECTIVE_PAGE

    @Deprecated
    static final String OPEN_PERSPECTIVE_PAGE

Deprecated. Opening a Perspective in a new page is no longer supported functionality as of 2.0.
A preference value indicating that an action should open a new perspective in a new page.

See Also:
  `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

#### OPEN_PERSPECTIVE_REPLACE

    static final String OPEN_PERSPECTIVE_REPLACE

A preference value indicating that an action should open a new perspective by replacing the current perspective.

See Also:
  `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

#### NO_NEW_PERSPECTIVE

    static final String NO_NEW_PERSPECTIVE

A preference value indicating that an action should not open a new perspective.

See Also:
  `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

#### DEFAULT_PERSPECTIVE_ID

    static final String DEFAULT_PERSPECTIVE_ID

A named preference indicating the default workbench perspective.

See Also:
  Constant Field Values

#### DOCK_PERSPECTIVE_BAR

    static final String DOCK_PERSPECTIVE_BAR

A named preference indicating where the perspective bar should be docked. The default value (when this preference is not set) is `TOP_RIGHT`.

This preference may be one of the following values: `TOP_RIGHT`, `TOP_LEFT`, or `LEFT`.

Since:
  3.0
See Also:
  Constant Field Values

#### PERSPECTIVE_BAR_SIZE

    static final String PERSPECTIVE_BAR_SIZE

A preference indication the initial size of the perspective bar. The default value is 160. This preference only works when `configurer.setShowPerspectiveBar(true)` is set in WorkbenchWindowAdvisor#preWindowOpen() This preference only uses integer values bug 84603: [RCP] [PerspectiveBar] New API or pref to set default perspective bar size

Since:
  3.5
See Also:
  Constant Field Values

#### INITIAL_FAST_VIEW_BAR_LOCATION

    static final String INITIAL_FAST_VIEW_BAR_LOCATION

A named preference indicating where the fast view bar should be docked in a fresh workspace. This preference is meaningless after a workspace has been setup, since the fast view bar state is then persisted in the workbench. This preference is intended for applications that want the initial docking location to be somewhere specific. The default value (when this preference is not set) is the bottom.

Since:
  3.0
See Also:
  `LEFT`, `BOTTOM`, `RIGHT`, Constant Field Values

#### TOP_RIGHT

    static final String TOP_RIGHT

Constant to be used when referring to the top right of the workbench window.

Since:
  3.0
See Also:
  `DOCK_PERSPECTIVE_BAR`, Constant Field Values

#### TOP_LEFT

    static final String TOP_LEFT

Constant to be used when referring to the top left of the workbench window.

Since:
  3.0
See Also:
  `DOCK_PERSPECTIVE_BAR`, Constant Field Values

#### LEFT

    static final String LEFT

Constant to be used when referring to the left side of the workbench window.

Since:
  3.0
See Also:
  `DOCK_PERSPECTIVE_BAR`, `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

#### BOTTOM

    static final String BOTTOM

Constant to be used when referring to the bottom of the workbench window.

Since:
  3.0
See Also:
  `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

#### RIGHT

    static final String RIGHT

Constant to be used when referring to the right side of the workbench window.

Since:
  3.0
See Also:
  `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

#### SHOW_INTRO

    static final String SHOW_INTRO

A named preference indicating whether the workbench should show the introduction component (if available) on startup.

The default value for this preference is: `true` (show intro)

Since:
  3.0
See Also:
  `WorkbenchWindowAdvisor.openIntro()`, Constant Field Values

#### SHOW_TRADITIONAL_STYLE_TABS

    static final String SHOW_TRADITIONAL_STYLE_TABS

A named preference for whether the workbench should show traditional style tabs in editors and views. Boolean-valued: `true` if editors and views should use a traditional style of tab and `false` if editors should show new style tab (3.0 style)

The default value for this preference is: `true`

Since:
  3.0
See Also:
  Constant Field Values

#### SHOW_TEXT_ON_PERSPECTIVE_BAR

    static final String SHOW_TEXT_ON_PERSPECTIVE_BAR

A named preference for whether the workbench should show text on the perspective bar. Boolean-valued: `true`, if editors should show text on the perspective bar, `false` otherwise.

The default value for this preference is: `true` (show text on the perspective bar)

Since:
  3.0
See Also:
  Constant Field Values

#### SHOW_OPEN_ON_PERSPECTIVE_BAR

    static final String SHOW_OPEN_ON_PERSPECTIVE_BAR

A named preference for whether the workbench should show the "open perspective" button on the perspective bar. Boolean-valued: `true`, if editors should show "open perspective" button on the perspective bar, `false` otherwise.

The default value for this preference is: `true` (show "open perspective" button on the perspective bar)

Since:
  3.4
See Also:
  Constant Field Values

#### SHOW_OTHER_IN_PERSPECTIVE_MENU

    static final String SHOW_OTHER_IN_PERSPECTIVE_MENU

A named preference for whether the workbench should show the "Other..." menu item in the perspective menu. Boolean-valued: `true`, if editors should show text on the "Other..." menu item, `false` otherwise.

The default value for this preference is: `true` (show the "Other..." menu item in the perspective menu)

Since:
  3.4
See Also:
  Constant Field Values

#### HELP_CONTENTS_ACTION_TEXT

    static final String HELP_CONTENTS_ACTION_TEXT

A named preference for the text of the Help Contents action. String-valued. If not specified, `"&Help Contents"` is used.

The default value for this preference is: `null`

Since:
  3.0
See Also:
  Constant Field Values

#### HELP_SEARCH_ACTION_TEXT

    static final String HELP_SEARCH_ACTION_TEXT

A named preference for the text of the Help Search action. String-valued. If not specified, `"S&earch"` is used.

The default value for this preference is: `null`

Since:
  3.1
See Also:
  Constant Field Values

#### DYNAMIC_HELP_ACTION_TEXT

    static final String DYNAMIC_HELP_ACTION_TEXT

A named preference for the text of the Dynamic Help action. String-valued. If not specified, `"&Dynamic Help"` is used.

The default value for this preference is: `null`

Since:
  3.1
See Also:
  Constant Field Values

#### ENABLE_ANIMATIONS

    static final String ENABLE_ANIMATIONS

A named preference for enabling animations when a layout transition occurs

The default value for this preference is: `true` (show animations when a transition occurs)

Since:
  3.1
See Also:
  Constant Field Values

#### USE_COLORED_LABELS

    static final String USE_COLORED_LABELS

A named preference that view implementors can used to determine whether or not they should utilize colored labels.

The default value for this preference is: `true` (show colored labels)

Since:
  3.4
See Also:
  Constant Field Values

#### KEY_CONFIGURATION_ID

    static final String KEY_CONFIGURATION_ID

Workbench preference id for the key configuration identifier to be treated as the default.

The default value for this preference is `"org.eclipse.ui.defaultAcceleratorConfiguration"`.

Since:
  3.1
See Also:
  Constant Field Values

#### EDITOR_MINIMUM_CHARACTERS

    static final String EDITOR_MINIMUM_CHARACTERS

Workbench preference identifier for the minimum width of editor tabs. By default, Eclipse does not define this value and allows SWT to determine this constant. We use `-1` internally to signify "use default".

The default value for this preference is `-1`.

Since:
  3.1
See Also:
  Constant Field Values

#### VIEW_MINIMUM_CHARACTERS

    static final String VIEW_MINIMUM_CHARACTERS

Workbench preference identifier for the minimum width of view tabs.

The default value for this preference is `1`.

Since:
  3.2
See Also:
  Constant Field Values

#### SHOW_SYSTEM_JOBS

    static final String SHOW_SYSTEM_JOBS

Stores whether or not system jobs are being shown.

Since:
  3.1
See Also:
  Constant Field Values

#### CURRENT_THEME_ID

    static final String CURRENT_THEME_ID

Workbench preference for the current theme.

Since:
  3.1
See Also:
  Constant Field Values

#### CLOSE_EDITORS_ON_EXIT

    static final String CLOSE_EDITORS_ON_EXIT

A preference value indicating whether editors should be closed before saving the workbench state when exiting. The default is `false`.

Since:
  3.1
See Also:
  Constant Field Values

#### SHOW_PROGRESS_ON_STARTUP

    static final String SHOW_PROGRESS_ON_STARTUP

Stores whether or not to show progress while starting the workbench. The default is `false`.

Since:
  3.1
See Also:
  Constant Field Values

#### SHOW_MEMORY_MONITOR

    static final String SHOW_MEMORY_MONITOR

Stores whether or not to show the memory monitor in the workbench window.

Since:
  3.1
See Also:
  Constant Field Values

#### USE_WINDOW_WORKING_SET_BY_DEFAULT

    static final String USE_WINDOW_WORKING_SET_BY_DEFAULT

Stores whether or not to use the window working set as the default working set for newly created views (without previously stored state). This is a hint that view implementors should honor.

Since:
  3.2
See Also:
  Constant Field Values

#### SHOW_FILTERED_TEXTS

    static final String SHOW_FILTERED_TEXTS

Stores whether or not to show the text widget that allows type-ahead search in the case where a FilteredTree is used to display and filter tree items.

Since:
  3.2
See Also:
  Constant Field Values

#### ENABLE_DETACHED_VIEWS

    static final String ENABLE_DETACHED_VIEWS

Stores whether or not views may be detached. The default is `true`.

Since:
  3.2
See Also:
  Constant Field Values

#### PROMPT_WHEN_SAVEABLE_STILL_OPEN

    static final String PROMPT_WHEN_SAVEABLE_STILL_OPEN

Stores whether or not the workbench prompts for saving when a dirty editor or view is closed, but the Saveable objects are still open in other parts. If `true` (default), the user will be prompted. If `false`, there will be no prompt.

Since:
  3.2
See Also:
  `Saveable`, Constant Field Values

#### PERSPECTIVE_BAR_EXTRAS

    static final String PERSPECTIVE_BAR_EXTRAS

Lists the extra perspectives to show in the perspective bar. The value is a comma-separated list of perspective ids. The default is the empty string.

Since:
  3.2
See Also:
  Constant Field Values

#### LOCK_TRIM

    static final String LOCK_TRIM

Allows locking the trim to prevent user dragging on startup. The default is `false`.

Since:
  3.2
See Also:
  Constant Field Values

#### ENABLE_NEW_MIN_MAX

    static final String ENABLE_NEW_MIN_MAX

A named preference for providing the 3.3 presentation's min/max behaviour

The default value for this preference is: `false`; use the 3.2 behaviour.

Since:
  3.3
See Also:
  Constant Field Values

#### DISABLE_NEW_FAST_VIEW

    static final String DISABLE_NEW_FAST_VIEW

A named preference for disabling opening a new fast view from the fast view bar controls ("Show View as a fast view" button or "New Fast View" submenu).

Value is of type `boolean`.

The default is `false`.

Since:
  3.3
See Also:
  Constant Field Values

#### ENABLE_32_STICKY_CLOSE_BEHAVIOR

    static final String ENABLE_32_STICKY_CLOSE_BEHAVIOR

A named preference for enabling the 3.2 behavior for closing sticky views. When not enabled a sticky view is closed in all perspectives when the view is closed.

The default value for this preference is: `false`; use the 3.2 behaviour.

Since:
  3.3
See Also:
  Constant Field Values

#### VIEW_TAB_POSITION

    static final String VIEW_TAB_POSITION

An named preference for whether or not tabs are on the top or bottom for views. Values are either `SWT.TOP` or `SWT.BOTTOM`.

The default value for this preference is: `SWT.TOP`.

Since:
  3.4
See Also:
  Constant Field Values

#### EDITOR_TAB_POSITION

    static final String EDITOR_TAB_POSITION

An named preference for whether or not tabs are on the top or bottom for editors. Values are either `SWT.TOP` or `SWT.BOTTOM`.

The default value for this preference is: `SWT.TOP`.

Since:
  3.4
See Also:
  Constant Field Values

#### SHOW_MULTIPLE_EDITOR_TABS

    static final String SHOW_MULTIPLE_EDITOR_TABS

Workbench preference id for whether the workbench should show multiple editor tabs. Boolean-valued: `true` if editors should show multiple editor tabs, and `false` if editors should show a single editor tab.

The default value for this preference is: `true`

Since:
  3.4
See Also:
  Constant Field Values

#### DISABLE_OPEN_EDITOR_IN_PLACE

    static final String DISABLE_OPEN_EDITOR_IN_PLACE

Workbench preference id for whether the workbench may open editors in-place. Note that editors will only be opened in-place if this preference is `false` and if the current platform supports in-place editing. Boolean-valued: `false` if editors may be opened in-place, and `true` if editors should never be opened in-place.

The default value for this preference is: `false`

Since:
  3.4
See Also:
  Constant Field Values

#### RECENTLY_USED_WORKINGSETS_SIZE

    static final String RECENTLY_USED_WORKINGSETS_SIZE

Workbench preference id for indicating the size of the list of most recently used working sets.

Integer-valued. The default value for this preference is: `5`.

Since:
  3.7
See Also:
  Constant Field Values